Subject: bug#1077: 23.0.60; x-create-frame: (wrong-type-argument number-or-marker-p nil)

From: martin rudalics <[email-masked]>
Date: Tue, 30 Nov 2010 08:56:41 +0100

> I'm not sure.  I'm still trying to understand when and why did the
 > menu-bar-lines parameter got a nil value in the minibuffer frame's
 > parameters.  Depending on what I find, there could be an additional
 > change.  If this happens only in minibuffer frames, then the above
 > should be enough to fix the bug, because minibuffer frames without a
 > menu bar will never evaluate their menu items.

 From the Elisp manual

`menu-bar-lines'
      The number of lines to allocate at the top of the frame for a menu
      bar.  The default is 1.  A value of `nil' means don't display a
      menu bar.  *Note Menu Bar::.  (The X toolkit and GTK allow at most
      one menu bar line; they treat larger values as 1.)

so `nil' is a valid value and evaluating a menu bar item probably should
know how to handle it.

martin